org.jbpm.kie.services.impl.cmd

## Class StartProcessInstanceWithParentCommand

- java.lang.Object
- - org.jbpm.kie.services.impl.cmd.StartProcessInstanceWithParentCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<org.kie.api.runtime.process.ProcessInstance>, org.kie.api.command.Command<org.kie.api.runtime.process.ProcessInstance>, org.kie.internal.command.ProcessInstanceIdCommand

      public class StartProcessInstanceWithParentCommand
      extends Object
      implements org.drools.core.command.impl.ExecutableCommand<org.kie.api.runtime.process.ProcessInstance>, org.kie.internal.command.ProcessInstanceIdCommand

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartProcessInstanceWithParentCommand()`
    `StartProcessInstanceWithParentCommand(Long processInstanceId, Long parentProcessInstanceId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.runtime.process.ProcessInstance` | `execute(org.kie.api.runtime.Context context)`
    `Long` | `getParentProcessInstanceId()`
    `Long` | `getProcessInstanceId()`
    `void` | `setParentProcessInstanceId(Long parentProcessInstanceId)`
    `void` | `setProcessInstanceId(Long processInstanceId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### StartProcessInstanceWithParentCommand

          public StartProcessInstanceWithParentCommand()

    - #### StartProcessInstanceWithParentCommand

          public StartProcessInstanceWithParentCommand(Long processInstanceId,
                                                       Long parentProcessInstanceId)

  - ### Method Detail

    - #### getParentProcessInstanceId

          public Long getParentProcessInstanceId()

    - #### setParentProcessInstanceId

          public void setParentProcessInstanceId(Long parentProcessInstanceId)

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### setProcessInstanceId

          public void setProcessInstanceId(Long processInstanceId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### execute

          public org.kie.api.runtime.process.ProcessInstance execute(org.kie.api.runtime.Context context)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.ExecutableCommand<org.kie.api.runtime.process.ProcessInstance>`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.